For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact support
AUSDAPI ReferenceStable SwapsWhitelabel Stablecoins
AUSDAPI ReferenceStable SwapsWhitelabel Stablecoins
  • Agora Public API
        • GETGet Aggregate and Per-Chain Metrics
        • GETGet Aggregate Total Supply
        • GETGet Aggregate Circulating Supply
    • Errors
    • Changelog
Contact support
LogoLogo
Agora Public APIEndpointsMetrics

Get Aggregate and Per-Chain Metrics

Beta
GET
https://api.agora.finance/v0/metrics
GET
/v0/metrics
$curl https://api.agora.finance/v0/metrics
1{
2 "chains": [
3 {
4 "chainId": "eip155:1",
5 "circulatingSupply": "68500000.123456",
6 "network": "ethereum",
7 "totalSupply": "72100000.123456"
8 },
9 {
10 "chainId": "eip155:42161",
11 "circulatingSupply": "612.000000",
12 "network": "arbitrum",
13 "totalSupply": "612.000000"
14 },
15 {
16 "chainId": "eip155:43114",
17 "circulatingSupply": "9450000.500000",
18 "network": "avalanche",
19 "totalSupply": "11400000.500000"
20 },
21 {
22 "chainId": "eip155:8453",
23 "circulatingSupply": "142000.500000",
24 "network": "base",
25 "totalSupply": "142000.500000"
26 },
27 {
28 "chainId": "eip155:56",
29 "circulatingSupply": "1100.000000",
30 "network": "binance-smart-chain",
31 "totalSupply": "1100.000000"
32 },
33 {
34 "chainId": "eip155:1116",
35 "circulatingSupply": "950.000000",
36 "network": "core",
37 "totalSupply": "950.000000"
38 },
39 {
40 "chainId": "eip155:252",
41 "circulatingSupply": "0.000000",
42 "network": "fraxtal",
43 "totalSupply": "0.000000"
44 },
45 {
46 "chainId": "eip155:100",
47 "circulatingSupply": "5.500000",
48 "network": "gnosis",
49 "totalSupply": "5.500000"
50 },
51 {
52 "chainId": "eip155:13371",
53 "circulatingSupply": "8800000.000000",
54 "network": "immutable",
55 "totalSupply": "8800001.000000"
56 },
57 {
58 "chainId": "cosmos:injective-1",
59 "circulatingSupply": "1200000.000000",
60 "network": "injective",
61 "totalSupply": "4250000.000000"
62 },
63 {
64 "chainId": "eip155:747474",
65 "circulatingSupply": "2300000.000000",
66 "network": "katana",
67 "totalSupply": "3300000.000000"
68 },
69 {
70 "chainId": "eip155:5000",
71 "circulatingSupply": "5200000.000000",
72 "network": "mantle",
73 "totalSupply": "5200000.000000"
74 },
75 {
76 "chainId": "eip155:143",
77 "circulatingSupply": "33500000.000000",
78 "network": "monad",
79 "totalSupply": "37000000.000000"
80 },
81 {
82 "chainId": "eip155:98866",
83 "circulatingSupply": "0.000000",
84 "network": "plume",
85 "totalSupply": "0.000000"
86 },
87 {
88 "chainId": "eip155:137",
89 "circulatingSupply": "1750000.000000",
90 "network": "polygon-pos",
91 "totalSupply": "4800000.000000"
92 },
93 {
94 "chainId": "solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp",
95 "circulatingSupply": "1400000.000000",
96 "network": "solana",
97 "totalSupply": "4100000.000000"
98 },
99 {
100 "chainId": "sui:mainnet",
101 "circulatingSupply": "500000.000000",
102 "network": "sui",
103 "totalSupply": "500000.000000"
104 }
105 ],
106 "partial": false,
107 "circulatingSupply": "132744668.623456",
108 "totalSupply": "151594669.623456"
109}
<Callout intent="warning"> The endpoints exposed here are currently in **Beta**! As we continue to build our initial offering, these endpoints may implement breaking changes. Be sure to check back for our change log regularly as a precaution. </Callout>
Previous

Get Aggregate Total Supply

Next
Built with

The endpoints exposed here are currently in Beta! As we continue to build our initial offering, these endpoints may implement breaking changes. Be sure to check back for our change log regularly as a precaution.

Response

Aggregate and per-chain AUSD supply breakdown. When one or more chains are temporarily unavailable, the response sets partial: true and omits aggregate totalSupply and circulatingSupply rather than publishing a silently-truncated figure.

chainslist of objects

Per-chain supply breakdown. Only chains with a currently cached successful result are included; chains that have never succeeded (or are in a persistent outage on this pod) are omitted and cause partial to be true.

partialboolean

True when one or more chains are missing from the response (cold start before a chain’s first successful fetch, or a persistent chain outage). When true, aggregate totalSupply and circulatingSupply are omitted — publishing a total that silently excludes chains would look like a large supply drop to market-data consumers.

circulatingSupplystring

Aggregate circulating AUSD supply across all chains, as a decimal string (e.g. 987654321.654321). This is the sum of all per-chain circulatingSupply values. Omitted when partial is true.

totalSupplystring

Aggregate total AUSD supply across all chains, as a decimal string (e.g. 1234567890.123456). This is the sum of all per-chain totalSupply values. Omitted when partial is true.

Errors

404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error